#!/usr/bin/perl
package MpmasQlTable;
use strict;
use warnings;
use PDL;
use PDL::NiceSlice;
use Carp;
use SimpleObject;
use IndexTable;

our @ISA = qw(SimpleObject);

####################################################################################
####Constructors
sub new {
  my $c  = shift;
  my $class = ref($c) || $c;
    my $options = shift; 
  $options->{discrete} = 0 unless (exists $options->{discrete});
  $options->{interpol} = "linear" unless (exists $options->{interpol});
 
  my $tab =[];
  my $self = $class->SUPER::create(
	    options => $options,
	    tab		=> $tab
	  );
  return $self;
}
sub newFromIndexTable {
	my ($self, $itable, $keyarray) = @_;
	
	
}


####################################################################################
#Getters and Setters
sub interpol {
	return $_[0]->{options}->{interpol};
}


####################################################################################
#Getters and Setters
